#include "qglviewer.h"

class Viewer : public QGLViewer
{
public :
  Viewer();

protected :
  void draw();
  void keyPressEvent(QKeyEvent *e);
  QString helpString() const;

private :
  qglviewer::ManipulatedFrame** keyFrame_;
  qglviewer::KeyFrameInterpolator kfi_;
  const int nbKeyFrames;
  int currentKF_;
};
