#include "qglviewer.h"

class Viewer : public QGLViewer
{
protected :
  void init();
  void draw();
  QString helpString() const;

private :
  void drawSaucer() const;
  void drawCone(const float zMin,const float zMax, const float r1, const float r2) const;

  static const int nbSaucers = 10;
  qglviewer::Frame saucerPos[nbSaucers];
  qglviewer::Vec saucerColor[nbSaucers];
};
